Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.behaviors
Class PropertyApplyingTestCase.Primitives

    java.lang.Object
      org.picocontainer.behaviors.PropertyApplyingTestCase.Primitives

Enclosing class:
  PropertyApplyingTestCase

    public static class PropertyApplyingTestCase.Primitives

extends Object

Class that contains all types of Java primitives, to test if they are set correctly.

Author:
  Mirko Novakovic

Field Summary
`boolean` | `boolean_`
`byte` | `byte_`
`char` | `char_`
`Class` | `class_`
`double` | `double_`
`File` | `file_`
`float` | `float_`
`int` | `int_`
`long` | `long_`
`short` | `short_`
`String` | `string_`
`URL` | `url_`

Constructor Summary
`PropertyApplyingTestCase.Primitives()`

Method Summary
`void` | `setBoolean_(boolean boolean_)`
`void` | `setByte_(byte byte_)`
`void` | `setChar_(char char_)`
`void` | `setClass_(Class class_)`
`void` | `setDouble_(double double_)`
`void` | `setFile_(File file_)`
`void` | `setFloat_(float float_)`
`void` | `setInt_(int int_)`
`void` | `setLong_(long long_)`
`void` | `setShort_(short short_)`
`void` | `setString_(String string_)`
`void` | `setUrl_(URL url_)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### byte_

    public byte byte_

### short_

    public short short_

### int_

    public int int_

### long_

    public long long_

### float_

    public float float_

### double_

    public double double_

### boolean_

    public boolean boolean_

### char_

    public char char_

### file_

    public File file_

### url_

    public URL url_

### class_

    public Class class_

### string_

    public String string_

Constructor Detail

### PropertyApplyingTestCase.Primitives

    public PropertyApplyingTestCase.Primitives()

Method Detail

### setClass_

    public void setClass_(Class class_)

### setString_

    public void setString_(String string_)

### setBoolean_

    public void setBoolean_(boolean boolean_)

### setByte_

    public void setByte_(byte byte_)

### setChar_

    public void setChar_(char char_)

### setDouble_

    public void setDouble_(double double_)

### setFloat_

    public void setFloat_(float float_)

### setInt_

    public void setInt_(int int_)

### setLong_

    public void setLong_(long long_)

### setShort_

    public void setShort_(short short_)

### setFile_

    public void setFile_(File file_)

### setUrl_

    public void setUrl_(URL url_)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.